Article ID: 121310, created on Apr 25, 2014, last review on May 9, 2014

  • Applies to:
  • Plesk 12.0 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Windows
  • Plesk 11.0 for Windows
  • Plesk 11.5 for Windows

Sintomi

È stata trovata una vulnerabilità di sicurezza che incide su Parallels Plesk Panel per Linux 11, 11.5 e l'anteprima della versione 12.

Causa

Si è verificata in Plesk una vulnerabilità di rilevanza minore che può teoricamente fornire l'accesso ad utenti non autorizzati al contenuto del file /etc/psa/private/secret_key su Linux e la stessa chiave segreta nell'archivio su Windows. È possibile leggere di più sulle fondamenta di tale vulnerabilità e le astronomicamente vaste risorse computazionali richieste per qualcosa di più dello sfruttamento teorico qui.

Risoluzione

Parallels conferma l'esistenza della vulnerabilità ma lo sfruttamento richiederebbe una quantità di risorse di calcolo quasi irraggiungibile per determinare il numero di sicurezza casuale necessario di 16 byte. Di conseguenza, la minaccia rappresentata da questa vulnerabilità è estremamente bassa.

La vulnerabilità è stata risolta il 29 aprile 2014 nei seguenti microaggiornamenti:

  • Parallels Plesk Panel 11.5.30 MU#44
  • Parallels Plesk Panel 11.0.9 MU#61

Parallels incoraggia tutti i clienti ad attivare i microaggiornamenti automatici.

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 01bc4c8cf5b7f01f815a7ada004154a2 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7 aea4cd7bfd353ad7a1341a257ad4724a ed7be2b984f9c27de1d2dc349dc19c6d 85a92ca67f2200d36506862eaa6ed6b8 a766cea0c28e23e978fa78ef81918ab8 514af229ae32522202a910a2649c80fb bd7fc88cf1b01f097749ae6f87272128 46a8e394d6fa13134808921036a34da8

Email subscription for changes to this article
Save as PDF